function h = GetCurrentGUIObject( hFig )

%-------------------------------------------------------------------------------
%   Gets the last uicontrol that was hit.
%-------------------------------------------------------------------------------
%   Form:
%   h = GetCurrentGUIObject( hFig )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   hFig          (1,1)   Figure handle
%
%   -------
%   Outputs
%   -------
%   h             (1,1)   Object handle     
%
%-------------------------------------------------------------------------------

%-------------------------------------------------------------------------------
%   Copyright (c) 2000 Princeton Satellite Systems, Inc. All rights reserved.
%-------------------------------------------------------------------------------

h = get( hFig, 'CurrentObject' );

% PSS internal file version information
%--------------------------------------
% $Date: 2002/11/14 16:33:46 $
% $Revision: 1.2 $
